VST 3 Examples VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Macros | Functions | Variables
plugentry.cpp File Reference
`#include "plug.h"`
`#include "plugcontroller.h"`
`#include "plugcids.h"`
`#include "version.h"`
`#include "public.sdk/source/main/pluginfactory.h"`

## Macros
#define | stringPluginName "Test Program Change"

## Functions
| BEGIN_FACTORY_DEF ("Steinberg Media Technologies", "http://www.steinberg.net", "mailto:info@steinberg.de") DEF_CLASS2(INLINE_UID_FROM_FUID(PlugProcessorUID)

## Variables
| kVstAudioEffectClass
Test Program | Change
Test Program | Fx
Test Program | FULL_VERSION_STR
Test Program | kVstVersionString

## Macro Definition Documentation

## ◆ stringPluginName

#define stringPluginName "Test Program Change"

## Function Documentation

## ◆ BEGIN_FACTORY_DEF()

BEGIN_FACTORY_DEF | ( | "Steinberg Media Technologies" | ,
|  | "http://www.steinberg.net" | ,
|  | "mailto:info@steinberg.de" | )

## Variable Documentation

## ◆ kVstAudioEffectClass

kVstAudioEffectClass

## ◆ Change

Test Program Change

## ◆ Fx

Test Program Fx

## ◆ FULL_VERSION_STR

Test Program FULL_VERSION_STR

## ◆ kVstVersionString

Test Program kVstVersionString

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.